> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of shipments



## OpenAPI

````yaml /openapi.json get /api/v1/Shipments
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Shipments:
    get:
      tags:
        - Shipments
      summary: Gets a list of shipments
      parameters:
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range. Omit if you are specifying an order number\r\n            \r\n    YYYY-MM-DD"
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range. Omit if you are specifying an order number\r\n            \r\n    YYYY-MM-DD"
          schema:
            type: string
            format: date-time
        - name: deliveryStatusCode
          in: query
          description: "The status of the delivery (Code) Omit if you are specifying an order number\r\n            \r\n    'DELIVERED' - The package has been delivered to the intended recipient.\r\n    'EXCEPTION' - The last recorded activity for the package is a delivery exception.\r\n    'IN_TRANSIT'- The package is in transit within the carrier network.\r\n    'RETURNED'  - The package has been returned to the fulfillment center.\r\n    'SHIPPED'   - The package has been shipped from the fulfillment center, but is not yet tracking in the carrier network."
          schema:
            type: string
        - name: orderNumber
          in: query
          description: >-
            The order number of the customer. Do not include date ranges if you
            include the order number.
          schema:
            type: string
      responses:
        '200':
          description: Returns the list of shipments
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShipmentIEnumerableServiceResult'
components:
  schemas:
    ShipmentIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/Shipment'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    Shipment:
      required:
        - accountNumber
      type: object
      properties:
        shipmentId:
          type: string
          description: The primary key of this shipment
          nullable: true
        warehouseName:
          type: string
          description: The warehouse this transfer is going to
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        accountNumber:
          minLength: 2
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        customerName:
          type: string
          description: Customer Name
          nullable: true
        fulfillmentDate:
          type: string
          description: When fulfillment began
          format: date-time
          nullable: true
        orderNumber:
          type: string
          description: The order number of the customer
          nullable: true
        wineDirectOrderNumber:
          type: string
          description: The order number of WineDirect
          nullable: true
        orderTypeCode:
          type: string
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          nullable: true
        carrierCode:
          type: string
          description: The Carrier (Code)
          nullable: true
        carrierName:
          type: string
          description: The Carrier (Name)
          nullable: true
        trackingNumber:
          type: string
          description: The Carrier's Tracking Number
          nullable: true
        trackingNumberUrl:
          type: string
          description: The URL, if exists, for the carrier's tracking number details
          nullable: true
          readOnly: true
        isClaimable:
          type: boolean
          description: Is this shipment claimable
        packageWeight:
          type: number
          description: The weight in LBS
          format: double
        deliveryStatusCode:
          type: string
          description: "The status of the delivery (Code)\r\n            \r\n    'DELIVERED' - \"The package has been delivered to the intended recipient.\"\r\n    'EXCEPTION' - \"The last recorded activity for the package is a delivery exception.\r\n    'IN_TRANSIT'- \"The package is in transit within the carrier network.\"\r\n    'RETURNED'  - \"The package has been returned to the fulfillment center.\"\r\n    'SHIPPED'   - \"The package has been shipped from the fulfillment center, but is not yet tracking in the carrier network.\""
          nullable: true
        deliveryStatusName:
          type: string
          description: The status of the delivery (Name)
          nullable: true
        shipToFirstName:
          type: string
          description: ShipTo First Name
          nullable: true
        shipToLastName:
          type: string
          description: ShipTo Last Name
          nullable: true
        shipToCompanyName:
          type: string
          description: ShipTo Company Name (if relevant)
          nullable: true
        shipToAddress1:
          type: string
          description: ShipTo Postal Address1
          nullable: true
        shipToAddress2:
          type: string
          description: ShipTo Postal Address2
          nullable: true
        shipToAddress3:
          type: string
          description: ShipTo Postal Address3
          nullable: true
        shipToCity:
          type: string
          description: ShipTo Postal City
          nullable: true
        shipToState:
          type: string
          description: ShipTo Postal State
          nullable: true
        shipToPostalCode:
          type: string
          description: ShipTo Postal Code
          nullable: true
        notificationEmailAddress:
          type: string
          description: Notification Email Address
          nullable: true
        notificationPhoneNumber:
          type: string
          description: Notification Phone Number
          nullable: true
        deliveryAddressTypeCode:
          type: string
          description: DeliverTo Address Type (Code)
          nullable: true
        deliveryAddressTypeName:
          type: string
          description: DeliverTo Address Type (Name)
          nullable: true
        deliverToCompanyName:
          type: string
          description: DeliverTo Company Name (if relevant)
          nullable: true
        deliverToAddress1:
          type: string
          description: DeliverTo Address1
          nullable: true
        deliverToAddress2:
          type: string
          description: DeliverTo Address2
          nullable: true
        deliverToAddress3:
          type: string
          description: DeliverTo Address3
          nullable: true
        deliverToCity:
          type: string
          description: DeliverTo City
          nullable: true
        deliverToState:
          type: string
          description: DeliverTo State
          nullable: true
        deliverToPostalCode:
          type: string
          description: DeliverTo Postal Code
          nullable: true
        deliveredDate:
          type: string
          description: When was the shipment delivered
          format: date-time
          nullable: true
        hasClaim:
          type: boolean
          description: Does this shipment have a claim
        isRedirectable:
          type: boolean
          description: Is this shipment redirectable
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description of the SKU
          nullable: true
        depletionDate:
          type: string
          format: date-time
          nullable: true
        uom:
          type: string
          description: The Unit of Measure for the line item
          nullable: true
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        qtyShipped:
          type: integer
          description: The Qty Shipped
          format: int32
          readOnly: true
        qtyOrdered:
          type: integer
          description: The Qty Ordered
          format: int32
          readOnly: true
        qtyReturned:
          type: integer
          description: The Qty Returned
          format: int32
          readOnly: true
        qtyDamaged:
          type: integer
          description: The Qty Damaged
          format: int32
          readOnly: true
        qtyMissing:
          type: integer
          description: The Qty Missing
          format: int32
          readOnly: true
        vasOrderPersonalizations:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalization'
          description: Value added service personalizations
          nullable: true
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentLineItem'
          description: A line items for shipment
          nullable: true
      additionalProperties: false
    VasOrderPersonalization:
      required:
        - type
      type: object
      properties:
        lineNumber:
          type: integer
          description: >-
            The line number of the SKU this personalization is assigned to. Not
            required for order header
          format: int32
          nullable: true
        type:
          maxLength: 80
          minLength: 1
          type: string
        message:
          maxLength: 2000
          type: string
          description: Messaging about the set of value added services
          nullable: true
        options:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalizationOption'
          description: A collection of specific value added services
          nullable: true
      additionalProperties: false
      description: A set of value added services
    ShipmentLineItem:
      type: object
      properties:
        shipmentId:
          type: string
          description: The ID of the overall Shipment
          nullable: true
        lineNumber:
          type: string
          description: The shipment line item's number (order)
          nullable: true
        componentNumber:
          type: integer
          description: The  Component Number
          format: int32
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        description:
          type: string
          description: Description of the SKU
          nullable: true
        depletionDate:
          type: string
          description: Date inventory was depleted from system.
          format: date-time
          nullable: true
        qtyShipped:
          type: integer
          description: The Qty Shipped
          format: int32
        qtyOrdered:
          type: integer
          description: The Qty Ordered
          format: int32
        qtyReturned:
          type: integer
          description: The Qty Returned
          format: int32
        qtyDamaged:
          type: integer
          description: The Qty Damaged
          format: int32
        qtyMissing:
          type: integer
          description: The Qty Missing
          format: int32
        vasOrderPersonalizations:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalization'
          description: Value added service personalizations
          nullable: true
      additionalProperties: false
      description: A line item for a shipment
    VasOrderPersonalizationOption:
      required:
        - type
      type: object
      properties:
        type:
          maxLength: 80
          minLength: 1
          type: string
          description: The type of the value added service. Eg a ribbon
        option:
          maxLength: 80
          type: string
          description: An option applied to the type. eg the color of the type's ribbon.
          nullable: true
        message:
          maxLength: 2000
          type: string
          description: Messaging about the value added service
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````